Skip to Content.
Sympa Menu

sm-commit - [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (422dce954c8760b5625503369ffda7645337e705)

sm-commit AT lists.ibiblio.org

Subject: Source Mage code commit list

List archive

Chronological Thread  
  • From: Justin Boffemmyer <scm AT sourcemage.org>
  • To: sm-commit AT lists.ibiblio.org
  • Subject: [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (422dce954c8760b5625503369ffda7645337e705)
  • Date: Sat, 27 Dec 2008 11:22:51 -0600

GIT changes to test cauldron by Justin Boffemmyer <flux AT sourcemage.org>:

scripts/spellcaster.sh | 19 ++++++++++++++-----
1 files changed, 14 insertions(+), 5 deletions(-)

New commits:
commit 422dce954c8760b5625503369ffda7645337e705
Author: Justin Boffemmyer <flux AT sourcemage.org>
Commit: Justin Boffemmyer <flux AT sourcemage.org>

scripts/spellcaster.sh: forgot {} grouping

Added {} grouping for the tests so that they would behave as intended.

diff --git a/scripts/spellcaster.sh b/scripts/spellcaster.sh
index d4d7c73..e57173d 100755
--- a/scripts/spellcaster.sh
+++ b/scripts/spellcaster.sh
@@ -71,16 +71,25 @@ function sanity_check() {
local choice=

# Ensure that TARGET is a directory
- [[ -d "$TARGET" ]] ||
+ [[ -d "$TARGET" ]] || {
echo "$TARGET does not exist!" && exit 3
+ }

# If ISODIR is not a directory, create it.
- [[ ! -d "$ISODIR" ]] && mkdir -p "$ISODIR" ||
- echo "couldn't create $ISODIR" && exit 3
+ [[ ! -d "$ISODIR" ]] && {
+ mkdir -p "$ISODIR" || {
+ echo "couldn't create $ISODIR" &&
+ exit 3
+ }
+ }

# If SYSDIR is not a directory, create it.
- [[ ! -d "$SYSDIR" ]] && mkdir -p "$SYSDIR" ||
- echo "couldn't create $SYSDIR" exit 3
+ [[ ! -d "$SYSDIR" ]] && {
+ mkdir -p "$SYSDIR" || {
+ echo "couldn't create $SYSDIR" &&
+ exit 3
+ }
+ }

if [[ -e "$config" ]]
then



  • [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (422dce954c8760b5625503369ffda7645337e705), Justin Boffemmyer, 12/27/2008

Archive powered by MHonArc 2.6.24.

Top of Page